Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumStoryFeature

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumStoryFeature

Direct Known Subclasses:
  `TdApi.PremiumStoryFeatureCustomExpirationDuration`, `TdApi.PremiumStoryFeatureLinksAndFormatting`, `TdApi.PremiumStoryFeaturePermanentViewsHistory`, `TdApi.PremiumStoryFeaturePriorityOrder`, `TdApi.PremiumStoryFeatureSaveStories`, `TdApi.PremiumStoryFeatureStealthMode`, `TdApi.PremiumStoryFeatureVideoQuality`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PremiumStoryFeature extends TdApi.Object permits TdApi.PremiumStoryFeaturePriorityOrder, TdApi.PremiumStoryFeatureStealthMode, TdApi.PremiumStoryFeaturePermanentViewsHistory, TdApi.PremiumStoryFeatureCustomExpirationDuration, TdApi.PremiumStoryFeatureSaveStories, TdApi.PremiumStoryFeatureLinksAndFormatting, TdApi.PremiumStoryFeatureVideoQuality
This class is an abstract base class. Describes a story feature available to Premium users.

## Constructor Summary

Constructors
Constructor
Description
`PremiumStoryFeature()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumStoryFeature

public PremiumStoryFeature()
Default class constructor.